import type { BasicWidgetInstance, BasicWidgetProps } from '../../utils'

export interface BottomBarProps extends BasicWidgetProps {
    // 是否展开
    expand?: boolean
    // 是否有展开按钮
    showExpandButton?: boolean
    // 高度 rpx
    height: number
    // 最大高度 rpx
    maxHeight?: number
}

export interface BottomBarInstance extends BasicWidgetInstance<BottomBarProps> {
    height: ComputedRef<string>
    toggleExpand: (expand?: boolean) => void
}
