import type { BasicWidgetInstance, BasicWidgetProps } from '../../utils'

export interface SwitchControlProps extends BasicWidgetProps {
    // 底部距离 rpx
    bottom?: string
    // 上一个
    prev?: () => void
    // 下一个
    next?: () => void
}

export interface SwitchControlInstance extends BasicWidgetInstance<SwitchControlProps> {
    // 暴露方法，允许手动调用上一个
    prev: () => void
    // 暴露方法，允许手动调用下一个
    next: () => void
}
