// 页面通用配置信息或一些抽象方法

// 单色块图例配置
export const defaultLegendConfig = {
    expand: false,
    title: '单位: mm',
    option: {
        blockStyle: {
            border: '1px solid #ccc',
        },
        items: [
            {
                color: '#FFFFFF',
                label: '0-0.1',
            },
            {
                color: '#A3F48A',
                label: '0.1-9.0',
            },
            {
                color: '#35AB02',
                label: '10-24.9',
            },
            {
                color: '#61B9F9',
                label: '25-49.9',
            },
            {
                color: '#0403FF',
                label: '50-99.9',
            },
            {
                color: '#FA02FA',
                label: '100-249.9',
            },
            {
                color: '#810042',
                label: '>=250',
            },
        ],
    },
}

// 多色块图例配置
// export const defaultLegendConfig = {
//     expand: true,
//     title: '单位: mm',
//     option: {
//         blockStyle: {
//             border: '1px solid #ccc',
//         },
//         items: [
//             [
//                 {
//                     color: '#FFFFFF',
//                     label: '0-0.1',
//                 },
//                 {
//                     color: '#A3F48A',
//                     label: '0.1-9.0',
//                 },
//                 {
//                     color: '#35AB02',
//                     label: '10-24.9',
//                 },
//                 {
//                     color: '#61B9F9',
//                     label: '25-49.9',
//                 },
//                 {
//                     color: '#0403FF',
//                     label: '50-99.9',
//                 },
//                 {
//                     color: '#FA02FA',
//                     label: '100-249.9',
//                 },
//                 {
//                     color: '#810042',
//                     label: '>=250',
//                 },
//             ],
//             [
//                 {
//                     color: '#FFFFFF',
//                     label: '0-0.1',
//                 },
//                 {
//                     color: '#A3F48A',
//                     label: '0.1-9.0',
//                 },
//                 {
//                     color: '#35AB02',
//                     label: '10-24.9',
//                 },
//                 {
//                     color: '#61B9F9',
//                     label: '25-49.9',
//                 },
//                 {
//                     color: '#0403FF',
//                     label: '50-99.9',
//                 },
//                 {
//                     color: '#FA02FA',
//                     label: '100-249.9',
//                 },
//                 {
//                     color: '#810042',
//                     label: '>=250',
//                 },
//             ],
//         ],
//     },
// }

// 单边图标图例
// export const defaultLegendConfig = {
//     expand: true,
//     title: '',
//     option: {
//         items: [
//             {
//                 icon: '/static/icons/legend/ice-snow/snow.cover.png',
//                 label: '积雪',
//             },
//             {
//                 icon: '/static/icons/legend/ice-snow/wire.icing.png',
//                 label: '电线积冰',
//             },
//             {
//                 icon: '/static/icons/legend/ice-snow/glaze.png',
//                 label: '雨淞',
//             },
//             {
//                 icon: '/static/icons/legend/ice-snow/sleet.png',
//                 label: '雨夹雪',
//             },
//             {
//                 icon: '/static/icons/legend/ice-snow/snow.png',
//                 label: '雪',
//             },
//         ],
//     },
// }

// 单边多图标图例
// export const defaultLegendConfig = {
//     expand: true,
//     title: '',
//     option: {
//         labelStyle: {
//             width: '85rpx',
//         },
//         items: [
//             {
//                 label: '闪电',
//                 items: [
//                     {
//                         icon: '/static/icons/legend/strong-convection/lightning.png',
//                     },
//                 ],
//             },
//             {
//                 label: '冰雹\n(mm)',
//                 items: [
//                     {
//                         icon: '/static/icons/legend/strong-convection/hail.0-5.png',
//                         label: '0-5',
//                     },
//                     {
//                         icon: '/static/icons/legend/strong-convection/hail.5-10.png',
//                         label: '5-10',
//                     },
//                     {
//                         icon: '/static/icons/legend/strong-convection/hail.10-20.png',
//                         label: '10-20',
//                     },
//                     {
//                         icon: '/static/icons/legend/strong-convection/hail.+20.png',
//                         label: '>=20',
//                     },
//                 ],
//             },
//             {
//                 label: '大风\n(m/s)',
//                 items: [
//                     {
//                         icon: '/static/icons/legend/strong-convection/wind.17-25.png',
//                         label: '17-25',
//                     },
//                     {
//                         icon: '/static/icons/legend/strong-convection/wind.25-30.png',
//                         label: '25-30',
//                     },
//                     {
//                         icon: '/static/icons/legend/strong-convection/wind.+30.png',
//                         label: '>=30',
//                     },
//                 ],
//             },
//             {
//                 label: '强降水\n(mm)',
//                 items: [
//                     {
//                         icon: '/static/icons/legend/strong-convection/rain.20-30.png',
//                         label: '20-30',
//                     },
//                     {
//                         icon: '/static/icons/legend/strong-convection/rain.30-50.png',
//                         label: '30-50',
//                     },
//                     {
//                         icon: '/static/icons/legend/strong-convection/rain.50-80.png',
//                         label: '50-80',
//                     },
//                     {
//                         icon: '/static/icons/legend/strong-convection/rain.+80.png',
//                         label: '>=80',
//                     },
//                 ],
//             },
//         ],
//     },
// }
